Use QtQuick.Controls 2.0 Label in energy and fileindexmonitor KCM
ClosedPublic

Authored by bosimonsen on Jul 9 2018, 8:15 PM.

Details

Summary

The QtQuick.Controls 1.0 does not handle Label well on screens that uses a fractional scaling. The fonts become
blurry, this has been fixed in QtQuick.Controls 2.0 and org.kde.plasma.components, however we prefer to use QtQuick.Controls 2.0 since the modules will anyway transition to 2.x at some time.

CCBUG: 366451

Test Plan
  • Use scaling 1,5 and fonts will appear correctly in kcm_energyinfo and kcm_fileindexmonitor

Diff Detail

Repository
R102 KInfoCenter
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bosimonsen created this revision.Jul 9 2018, 8:15 PM
Restricted Application added a project: Plasma. · View Herald TranscriptJul 9 2018, 8:15 PM
Restricted Application added a subscriber: plasma-devel. · View Herald Transcript
bosimonsen requested review of this revision.Jul 9 2018, 8:15 PM
bosimonsen updated this revision to Diff 37481.Jul 9 2018, 8:43 PM
broulik added a subscriber: broulik.Jul 9 2018, 8:54 PM

-1

Don't use Plasma components in "widget" Ui. Use QtQuick.Controls 2 instead

-1

Don't use Plasma components in "widget" Ui. Use QtQuick.Controls 2 instead

ScrollView is not available in QtQuick.Controls 2.0 appears to be at a later version. Using
PlasmaComponent this could be backported to 5.12?

You can mix the two, just import it with a namespace

import QtQuick.Controls 2.0 as QQC2

and then QQC2.Label. I think it's still fine for 5.12 even this way.

You can mix the two, just import it with a namespace

import QtQuick.Controls 2.0 as QQC2

and then QQC2.Label. I think it's still fine for 5.12 even this way.

It works great, will change.

bosimonsen updated this revision to Diff 37517.Jul 10 2018, 5:12 PM
bosimonsen retitled this revision from Use PlasmaComponents for Label to Use QtQuick.Controls 2.0 Label in energy and fileindexmonitor KCM.
bosimonsen edited the summary of this revision. (Show Details)
bosimonsen edited the summary of this revision. (Show Details)Jul 10 2018, 5:25 PM
davidedmundson accepted this revision.Jul 10 2018, 5:55 PM
davidedmundson added a subscriber: davidedmundson.

this has been fixed in QtQuick.Controls 2.0

Not technically true.

It's worked round in our qqc2 desktop theme.

I don't generally approve workarounds, but as we'll want this anyway..go for it

This revision is now accepted and ready to land.Jul 10 2018, 5:55 PM

Does this really resolve all of https://bugs.kde.org/show_bug.cgi?id=366451? I see several issues described in there...

Does this really resolve all of https://bugs.kde.org/show_bug.cgi?id=366451? I see several issues described in there...

I believe, most issues are resolved (the splash screen issue, etc). The KCMs in plasma-desktop and kwin needs the same. But as far as I could see they use Kirigami in Plasma 5.13, just did a fast check of the master. For Plasma 5.13 this is the remaining part that has blurry fonts I assume.

bosimonsen added a comment.EditedAug 2 2018, 5:53 PM

@broulik @davidedmundson what to do from here? I do not have commit access.
any news?

Does this really resolve all of https://bugs.kde.org/show_bug.cgi?id=366451? I see several issues described in there...

Nate, can you maybe help getting this patch landed?

ngraham closed this revision.Fri, Sep 21, 2:50 PM
ngraham added a subscriber: zzag.

Looks like @zzag landed this patch for you last month: https://bugs.kde.org/show_bug.cgi?id=366451#c21

zzag added a comment.Fri, Sep 21, 2:57 PM

Looks like @zzag landed this patch for you last month: https://bugs.kde.org/show_bug.cgi?id=366451#c21

No, I didn't.

Probably, instead of "BUG" it should be "CCBUG".

ngraham reopened this revision.Fri, Sep 21, 3:04 PM

Whoops! I saw the name and didn't check the paths. Will land it for you.

This revision is now accepted and ready to land.Fri, Sep 21, 3:04 PM
ngraham edited the summary of this revision. (Show Details)Fri, Sep 21, 3:04 PM
This revision was automatically updated to reflect the committed changes.